##
##  spiped.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         spiped
Summary:      SSL/TLS Pipe Daemon
URL:          http://www.tarsnap.com/spiped.html
Vendor:       Colin Percival, Sean Kelly
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      MIT
Version:      1.6.4
Release:      20250402

#   list of sources
Source0:      http://www.tarsnap.com/spiped/spiped-%{version}.tgz
Patch0:       spiped.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Spiped (pronounced "ess-pipe-dee") is a utility for creating
    symmetrically encrypted and authenticated pipes between socket
    addresses, so that one may connect to one address (e.g., a UNIX
    socket on localhost) and transparently have a connection established
    to another address (e.g., a UNIX socket on a different system).
    This is similar to "ssh -L" functionality, but does not use SSH and
    requires a pre-shared symmetric key.

%track
    prog spiped = {
        version   = %{version}
        url       = http://www.tarsnap.com/spiped.html
        regex     = spiped-(__VER__)\.tgz
    }

%prep
    %setup -q
    %patch -p0

%build
    %{l_make} %{l_mflags} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O} -I`pwd`/libcperciva/util %{l_cppflags}" \
        LDADD_EXTRA="%{l_ldflags}"

%install
    %{l_make} %{l_mflags} install \
        BINDIR=$RPM_BUILD_ROOT%{l_prefix}/bin \
        MAN1DIR=$RPM_BUILD_ROOT%{l_prefix}/man/man1
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

